curl --request POST \
--url https://api.soltop.sh/analyze-trade \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signature": "pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg",
"account_id": "FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump",
"slot_range": 4
}
'{
"success": true,
"data": {
"original_transaction": {
"signature": "pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg",
"signer": "FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump",
"slot": 370537741,
"poh_tick": 23714415424,
"entry_index": 2,
"tx_index": 0,
"timestamp": "2025-10-01T19:22:33Z",
"is_vote": 0,
"accounts_read_count": 22,
"accounts_written_count": 35
},
"slot_range": {
"from": 370537737,
"to": 370537745,
"range": 4
},
"results_by_slot": [
{
"slot": 123,
"slot_offset": 123,
"transactions": [
{
"signature": "pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg",
"signer": "FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump",
"slot": 370537741,
"poh_tick": 23714415424,
"entry_index": 2,
"tx_index": 0,
"timestamp": "2025-10-01T19:22:33Z",
"is_vote": 0,
"accounts_read_count": 22,
"accounts_written_count": 35,
"poh_tick_offset": 123,
"matched_in_read": true,
"matched_in_written": true,
"is_original": true
}
],
"transaction_count": 123
}
],
"summary": {
"total_matching_transactions": 123,
"displayed_in_page": 123,
"slots_with_activity": 123,
"earliest_poh_tick_offset": 123,
"latest_poh_tick_offset": 123
}
},
"pagination": {
"current_page": 123,
"total_items": 123,
"has_next_page": true
}
}Analyzes all transactions that touched a specific account (market) within ±N slots of your transaction. Shows PoH tick offsets to understand who traded before/after you. Essential for front-running and sandwich attack detection.
curl --request POST \
--url https://api.soltop.sh/analyze-trade \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signature": "pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg",
"account_id": "FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump",
"slot_range": 4
}
'{
"success": true,
"data": {
"original_transaction": {
"signature": "pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg",
"signer": "FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump",
"slot": 370537741,
"poh_tick": 23714415424,
"entry_index": 2,
"tx_index": 0,
"timestamp": "2025-10-01T19:22:33Z",
"is_vote": 0,
"accounts_read_count": 22,
"accounts_written_count": 35
},
"slot_range": {
"from": 370537737,
"to": 370537745,
"range": 4
},
"results_by_slot": [
{
"slot": 123,
"slot_offset": 123,
"transactions": [
{
"signature": "pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg",
"signer": "FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump",
"slot": 370537741,
"poh_tick": 23714415424,
"entry_index": 2,
"tx_index": 0,
"timestamp": "2025-10-01T19:22:33Z",
"is_vote": 0,
"accounts_read_count": 22,
"accounts_written_count": 35,
"poh_tick_offset": 123,
"matched_in_read": true,
"matched_in_written": true,
"is_original": true
}
],
"transaction_count": 123
}
],
"summary": {
"total_matching_transactions": 123,
"displayed_in_page": 123,
"slots_with_activity": 123,
"earliest_poh_tick_offset": 123,
"latest_poh_tick_offset": 123
}
},
"pagination": {
"current_page": 123,
"total_items": 123,
"has_next_page": true
}
}API Key authentication. Format: sk_live_xxx (production) or sk_test_xxx (testing). Obtain your API key from the Blockline Dashboard.
Your transaction signature (base58, 87-88 characters)
^[1-9A-HJ-NP-Za-km-z]{87,88}$"pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg"
The market/account ID you were trading on (base58, 32-44 characters)
^[1-9A-HJ-NP-Za-km-z]{32,44}$"FnmStvzQ27Pm4U8r3M6gPD7mnk6ST6HwraPsoNmYpump"
Number of slots before/after to search
1 <= x <= 1004
Unix timestamp - start of time window to search for original transaction (optional filter)
1729368000
Unix timestamp - end of time window to search for original transaction (optional filter)
1729371600
Results per page (pagination)
x <= 1000100
Page number for pagination
x >= 11